// GLSL verze 1.0 a Shader model 4.0
#version 120
#extension GL_EXT_gpu_shader4 : enable
#extension GL_ARB_geometry_shader4 : enable

// Vstup z vertex shaderu
varying in vec2 v2_texCoord_vout[];
varying in vec3 lightPosMV_vout[];

// Vystup z geometry shaderu
varying out vec2 v2_texCoord_gout;
varying out vec3 lightPosMV_gout;

// Main
void main()
{
	// Pomocna
	int i;
	
	// Projdi vsechny vertexy
	for(i = 0; i < gl_VerticesIn; i++)
	{
		// Zapis pozice, pozici svetla a texturove koordinaty
		gl_Position = gl_PositionIn[i];
		lightPosMV_gout = lightPosMV_vout[i];
		v2_texCoord_gout = v2_texCoord_vout[i];
		// Vytvor vertex
		EmitVertex();
	}
	// Uzavri primitivum
	EndPrimitive();
}
