#version 120
#extension GL_EXT_gpu_shader4 : enable
#extension GL_ARB_geometry_shader4 : enable

varying in vec3 v3_vertex_vout[];
varying in vec3 v3_normal_vout[];

varying out vec3 v3_vertex_gout;
varying out vec3 v3_normal_gout;

void main()
{
	int i;
	
	for(i = 0; i < gl_VerticesIn; i++)
	{
		gl_Position = gl_PositionIn[i];
		v3_vertex_gout = v3_vertex_vout[i];
		v3_normal_gout = v3_normal_vout[i];
		EmitVertex();
	}
	EndPrimitive();
}
